Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230000 - GDB does not disassemble DFP / Power6 instructions
Summary: GDB does not disassemble DFP / Power6 instructions
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: rawhide
Hardware: ppc64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-25 18:36 UTC by Jan Kratochvil
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: gdb-6.6-14.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-28 21:53:05 UTC


Attachments (Terms of Use)
Shell testcase from bauerman@br.ibm.com, requires gcc-4.2/4.3+ (deleted)
2007-02-25 18:36 UTC, Jan Kratochvil
no flags Details

Description Jan Kratochvil 2007-02-25 18:36:48 UTC
+++ This bug was initially created as a clone of Bug #227592 +++

GDB 6.6 is the first official release to include support for Power6's DFP
(Decimal Floating Point) instructions. DFP is an important feature for Power6 HW. 

IBM Confidential: no 

----- Additional Comments From thiagoju@br.ibm.com (prefers email at
bauerman@br.ibm.com)  2007-01-29 06:15 EDT -------
 
I just attached the testcase for the feature. 

----- Additional Comments From thiagoju@br.ibm.com (prefers email at
bauerman@br.ibm.com)  2007-01-31 19:37 EDT -------
 
Change disassembler to decode any ppc instruction

Hi,

This is the fix I mentioned in comment #6. It is needed even in GDB 6.6 to
make
GDB disassemble Power6 DFP instructions. With this fix, the attached
testcase
passes.

----- Additional Comments From thiagoju@br.ibm.com (prefers email at
bauerman@br.ibm.com)  2007-02-01 05:59 EDT -------
Sorry, I mentioned the wrong URL to the patch submission:

http://www.sourceware.org/ml/gdb-patches/2007-02/msg00000.html 

----- Additional Comments From thiagoju@br.ibm.com (prefers email at
bauerman@br.ibm.com)  2007-02-09 14:07 EDT -------
The patch was accepted upstream yesterday:

http://www.sourceware.org/ml/gdb-patches/2007-02/msg00091.html

Comment 1 Jan Kratochvil 2007-02-25 18:36:48 UTC
Created attachment 148760 [details]
Shell testcase from bauerman@br.ibm.com, requires gcc-4.2/4.3+

Comment 2 Jan Kratochvil 2007-02-25 22:08:46 UTC
* Sun Feb 25 2007 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.6-4
- Backport + testcase for PPC Power6/DFP instructions disassembly (BZ 230000).

Provided only a simplified testcase not requiring GCC currently not yet present
even in RawHide.


Comment 3 Jan Kratochvil 2007-04-28 18:25:48 UTC
lan Modra recently made this fix which is necessary to correctly disassemble DFP
instructions.

Here's the submission to upstream:

http://sources.redhat.com/ml/binutils/2007-04/msg00249.html


Comment 4 Jan Kratochvil 2007-04-28 21:53:05 UTC
Comment 3 fix committed to Rawhide:
* Sat Apr 28 2007 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.6-14
- Fixup for the PPC Power6/DFP instructions disassembly (BZ 230000).



Note You need to log in before you can comment on or make changes to this bug.